import { jsx } from "react/jsx-runtime";
import { Flame as Flame$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Flame = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Flame", ...props, children: /* @__PURE__ */ jsx(Flame$1, { weight: variant }) });
  }
);
Flame.displayName = "Flame";
Object.assign(Flame, { isGdsIcon: true });
export {
  Flame
};
